Package org.jfree.report

# Interface DataFlags

All Known Implementing Classes:
  `DefaultDataFlags`

public interface DataFlags
A DataFlags object is an immutable wrapper around a value read from the datarow.

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`Object`
`getValue()`
`boolean`
`isChanged()`
`boolean`
`isDate()`
`boolean`
`isNegative()`
`boolean`
`isNull()`
`boolean`
`isNumeric()`
`boolean`
`isPositive()`
`boolean`
`isZero()`

## Method Details

### isNumeric

boolean isNumeric()

### isDate

boolean isDate()

### isNull

boolean isNull()

### isZero

boolean isZero()

### isNegative

boolean isNegative()

### isPositive

boolean isPositive()

### isChanged

boolean isChanged()

### getValue

Object getValue() throws DataSourceException

Throws:
  `DataSourceException`

### getName

String getName()